/***************************************************************************
    file        : callbacks.h
    project     : gHTTrack (frontend for HTTrack)
    begin       : 2003.05.22
    revised     : 2006.05.08, 2007.01.13
    copyright   : (C)2003-2007 Paul Schuurmans
    email       : paul.schuurmans@home.nl
 ***************************************************************************/

/***************************************************************************
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 ***************************************************************************/

#include <gtk/gtk.h>

void on_App1_show (GtkWidget *widget, gpointer user_data);
void on_App1_destroy (GtkObject *object, gpointer user_data);
void on_app1_btn_exit_clicked (GtkButton *button, gpointer user_data);
void on_app1_btn_killall_clicked (GtkButton *button, gpointer user_data);
void on_app1_btn_perform_clicked (GtkButton *button, gpointer user_data);
void on_app1_entry_httrack_cmdline_changed (GtkEditable *editable, gpointer user_data);
void on_confirmdlg_btn_cancel_clicked (GtkButton *button, gpointer user_data);
void on_confirmdlg_btn_ok_clicked (GtkButton *button, gpointer user_data);
void on_filedlg_btn_cancel_clicked (GtkButton *button, gpointer user_data);
void on_filedlg_btn_ok_clicked (GtkButton *button, gpointer user_data);
void on_logdlg_btn_httrack_help_clicked (GtkButton *button, gpointer user_data);
void on_logdlg_btn_readlog_clicked (GtkButton *button, gpointer user_data);
void on_logdlg_btn_wrap_text_clicked (GtkButton *button, gpointer user_data);
void on_main_notebook_switch_page (GtkNotebook *notebook, GtkNotebookPage *page, guint page_num, gpointer user_data);
void on_opdlg_btn_destination_browse_clicked (GtkButton *button, gpointer user_data);
void on_opdlg_btn_destpath_logs_browse_clicked (GtkButton *button, gpointer user_data);
void on_opdlg_btn_filters_file_browse_clicked (GtkButton *button, gpointer user_data);
void on_opdlg_btn_ok_clicked (GtkButton *button, gpointer user_data);
void on_opdlg_btn_quickstart_reset_clicked  (GtkButton *button, gpointer user_data);
void on_opdlg_btn_quickstart_binary_clicked (GtkButton *button, gpointer user_data);
void on_opdlg_btn_quickstart_spider_clicked (GtkButton *button, gpointer user_data);
void on_opdlg_btn_quickstart_testlinks_clicked (GtkButton *button, gpointer user_data);
void on_opdlg_btn_reset_defaults_clicked (GtkButton *button, gpointer user_data);
void on_opdlg_btn_save_filters_clicked (GtkButton *button, gpointer user_data);
void on_opdlg_btn_save_listfile_clicked (GtkButton *button, gpointer user_data);
void on_opdlg_btn_save_project_clicked  (GtkButton *button, gpointer user_data);
void on_opdlg_btn_url_listfile_browse_clicked (GtkButton *button, gpointer user_data);
void on_opdlg_cb_assume_mime_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_cb_create_word_db_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_cb_debug_mode_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_cb_default_referer_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_cb_destpath_logs_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_cb_from_email_address_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_cb_no_create_index_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_rb_preset_local_structure_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_cb_run_as_user_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_cb_run_sys_cmd_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_cb_store_all_in_cache_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_cb_top_index_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_cb_urlfile_editable_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_cb_use_filters_file_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_cb_use_filters_list_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_cb_use_hostname_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_cb_use_proxy_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_combo_cache_updates_changed (GtkComboBox *combobox, gpointer user_data);
void on_opdlg_combo_create_logs_changed (GtkComboBox *combobox, gpointer user_data);
void on_opdlg_combo_custom_struct_defs_changed (GtkComboBox *combobox, gpointer user_data);
void on_opdlg_combo_project_changed (GtkComboBox *combobox, gpointer user_data);
void on_opdlg_entry_destination_path_changed (GtkEditable *editable, gpointer user_data);
void on_opdlg_entry_url_listfile_changed (GtkEditable *editable, gpointer user_data);
void on_opdlg_rb_custom_local_structure_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_rb_preset_local_structure_toggled (GtkToggleButton *togglebutton, gpointer user_data);
void on_opdlg_rb_use_list_toggled (GtkToggleButton *togglebutton, gpointer user_data);

